Subject: bug#52503: 29.0.50; sokoban window does not redraw itself

From: Dieter Deyke <[email-masked]>
Date: Sun, 19 Dec 2021 14:07:51 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Dieter Deyke <[email-masked]> writes:
>
>> When I play the game sokoban (from ELPA) and the emacs frame gets
>> obscured by some other window, sokoban does not get redrawn after being
>> unobscured. This is on debian running X windows.
>>
>> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, cairo version 1.16.0)
>>  of 2021-12-10 built on deyke2
>
> I tried reproducing this on the trunk, but I'm unable to.  Here's what I
> did:
>
> emacs -Q
> M-x package-install RET sokoban RET
> M-x sokoban RET
>
> Then put another window over the Emacs window and then moved it again.
> This is the display:
>
>
>
>
> This is on Debian/bookworm.
>
> Are there any other steps necessary to reproduce the problem?

I do not think so.

emacs -Q
load-file "~/.emacs.d/elpa/sokoban-1.4.8/sokoban.el" RET
sokoban RET

then covering and exposing does it for me every time.

-- 
Dieter Deyke
mailto:[email-masked]
Get my Gnupg key:
gpg --keyserver keys.gnupg.net --recv-keys B116EA20